Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/Makefile.target
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/Makefile.target	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/Makefile.target	(revision 306)
@@ -2,5 +2,5 @@
 #		Makefileã®ã¿ã¼ã²ããä¾å­é¨ï¼CT11MPcoreç¨ï¼
 #
-#  $Id: Makefile.target 504 2016-01-12 01:19:55Z ertl-hiro $
+#  $Id: Makefile.target 572 2016-02-01 14:40:09Z ertl-hiro $
 # 
 
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/ct11mpcore.ld
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/ct11mpcore.ld	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/ct11mpcore.ld	(revision 306)
@@ -1,4 +1,4 @@
 /*
- *  $Id: ct11mpcore.ld 362 2015-07-26 11:29:15Z ertl-hiro $
+ *  $Id: ct11mpcore.ld 679 2016-03-07 07:14:20Z ertl-hiro $
  */
 
@@ -13,5 +13,5 @@
 	.text ALIGN(4) : {
 		__start_text = .;
-		*(vector)
+		*(.vector)
 		*(.text)
 		*(.glue_7t)
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_check.trb
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_check.trb	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_check.trb	(revision 306)
@@ -1,8 +1,11 @@
-# 
+# -*- coding: utf-8 -*-
+#
 #		ãã¹3ã®çæã¹ã¯ãªããã®ã¿ã¼ã²ããä¾å­é¨ï¼CT11MPCoreç¨ï¼
-# 
+#
+#  $Id: target_check.trb 745 2016-04-10 17:00:12Z ertl-hiro $
+#
 
-# 
+#
 #  çæã¹ã¯ãªããã®ã³ã¢ä¾å­é¨ï¼ãããä¾å­é¨ã¯é£ã°ãï¼
-# 
+#
 IncludeTrb("core_check.trb")
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel.trb
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel.trb	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel.trb	(revision 306)
@@ -1,16 +1,17 @@
-# 
+# -*- coding: utf-8 -*-
+#
 #		ãã¹2ã®çæã¹ã¯ãªããã®ã¿ã¼ã²ããä¾å­é¨ï¼CT11MPCoreç¨ï¼
-# 
-#  $Id: target_kernel.trb 572 2016-02-01 14:40:09Z ertl-hiro $
+#
+#  $Id: target_kernel.trb 745 2016-04-10 17:00:12Z ertl-hiro $
 #
 
-# 
+#
 #  ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨ããã«å¯¾å¿ããå²è¾¼ã¿ãã³ãã©çªå·
-# 
+#
 $INTNO_VALID = [ *(0..47) ]
 $INHNO_VALID = $INTNO_VALID
 
-# 
+#
 #  çæã¹ã¯ãªããã®ã³ã¢ä¾å­é¨ï¼ãããä¾å­é¨ã¯é£ã°ãï¼
-# 
+#
 IncludeTrb("core_kernel.trb")
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.c
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.c	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.c	(revision 306)
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_kernel_impl.c 365 2015-07-26 13:18:44Z ertl-hiro $
+ *  $Id: target_kernel_impl.c 509 2016-01-12 06:06:14Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.h	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2006-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2006-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_kernel_impl.h 397 2015-08-02 01:44:43Z ertl-hiro $
+ *  $Id: target_kernel_impl.h 704 2016-03-29 12:27:19Z ertl-hiro $
  */
 
@@ -66,4 +66,7 @@
 #define TOPPERS_TARGET_KERNEL_IMPL_H
 
+/*
+ *  ã¿ã¼ã²ããã®ãã¼ãã¦ã§ã¢è³æºã®å®ç¾©
+ */
 #include "ct11mpcore.h"
 
@@ -103,6 +106,6 @@
 ã¡ã®ããã®å®ç¾©ï¼æ¬æ¥ã¯SILã®ã¿ã¼ã²ããä¾å­é¨ï¼
  */
-#define SIL_DLY_TIM1	20
-#define SIL_DLY_TIM2	3
+#define SIL_DLY_TIM1	26
+#define SIL_DLY_TIM2	2
 
 /*
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_stddef.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_stddef.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_stddef.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_stddef.h 362 2015-07-26 11:29:15Z ertl-hiro $
+ *  $Id: target_stddef.h 509 2016-01-12 06:06:14Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_syssvc.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_syssvc.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_syssvc.h	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_syssvc.h 362 2015-07-26 11:29:15Z ertl-hiro $
+ *  $Id: target_syssvc.h 698 2016-03-26 08:48:12Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_test.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_test.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_test.h	(revision 306)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_test.h 362 2015-07-26 11:29:15Z ertl-hiro $
+ *  $Id: target_test.h 736 2016-04-04 23:50:03Z ertl-hiro $
  */
 
@@ -62,4 +62,11 @@
 
 /*
+ *  ãã¹ããã­ã°ã©ã ã§ä½¿ç¨ããæéãã©ã¡ã¼ã¿ã«é¢ããå®ç¾©
+ */
+#ifdef TOPPERS_USE_QEMU
+#define TEST_TIME_CP	1000U
+#endif /* TOPPERS_USE_QEMU */
+
+/*
  *  ã³ã¢ã§å
 ±éãªå®ç¾©ï¼ãããä¾å­é¨ã¯é£ã°ãï¼
@@ -67,10 +74,3 @@
 #include "core_test.h"
 
-/*
- *  ãã¹ããã­ã°ã©ã ã®åä½ãã©ã¡ã¼ã¿ã®å®ç¾©
- */
-#ifdef TOPPERS_USE_QEMU
-#define ALM1_RELTIM		2000U		/* ã¢ã©ã¼ã ãã³ãã©1ã«ä»æããç¸å¯¾æé */
-#endif /* TOPPERS_USE_QEMU */
-
 #endif /* TOPPERS_TARGET_TEST_H */
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_timer.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_timer.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_timer.h	(revision 306)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_timer.h 458 2015-08-21 14:59:09Z ertl-hiro $
+ *  $Id: target_timer.h 742 2016-04-07 13:11:22Z ertl-hiro $
  */
 
@@ -95,5 +95,5 @@
 #define INHNO_OVRTIMER		OVRTIMER_TIMER_IRQNO	/* å²è¾¼ã¿ãã³ãã©çªå· */
 #define INTNO_OVRTIMER		OVRTIMER_TIMER_IRQNO	/* å²è¾¼ã¿çªå· */
-#define INTPRI_OVRTIMER		(TMAX_INTPRI - 1)		/* å²è¾¼ã¿åªå
+#define INTPRI_OVRTIMER		TMAX_INTPRI				/* å²è¾¼ã¿åªå
 åº¦ */
 #define INTATR_OVRTIMER		TA_NULL					/* å²è¾¼ã¿å±æ§ */
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_user.txt
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_user.txt	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_user.txt	(revision 306)
@@ -1,11 +1,11 @@
 
-		TOPPERS/ASPã«ã¼ãã«
-		CT11MPcoreä¾å­é¨ ã¦ã¼ã¶ã¼ãºããã¥ã¢ã«
-
-		å¯¾å¿ãã¼ã¸ã§ã³: Release 3.0.0
-		æçµæ´æ°: 2015å¹´8æ9æ¥
-
-ãã®ãã­ã¥ã¡ã³ãã¯ï¼TOPPERS/ASPã«ã¼ãã«ã®CT11MPcoreã¿ã¼ã²ããä¾å­é¨ãä½¿
-ç¨ããããã«å¿
+		TOPPERS/ASP3ã«ã¼ãã«
+		CT11MPCoreä¾å­é¨ ã¦ã¼ã¶ã¼ãºããã¥ã¢ã«
+
+		å¯¾å¿ãã¼ã¸ã§ã³: Release 3.1
+		æçµæ´æ°: 2016å¹´1æ30æ¥
+
+ãã®ãã­ã¥ã¡ã³ãã¯ï¼TOPPERS/ASP3ã«ã¼ãã«ã®CT11MPCoreã¿ã¼ã²ããä¾å­é¨ã
+ä½¿ç¨ããããã«å¿
 è¦ãªäºé 
 ãèª¬æãããã®ã§ããï¼
@@ -16,5 +16,5 @@
      Advanced Standard Profile Kernel
 
- Copyright (C) 2008-2015 by Embedded and Real-Time Systems Laboratory
+ Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
              Graduate School of Information Science, Nagoya Univ., JAPAN
  
@@ -63,10 +63,10 @@
  ã®è²¬ä»»ãè² ããªãï¼
  
- $Id: target_user.txt 437 2015-08-09 00:36:08Z ertl-hiro $
+ $Id: target_user.txt 752 2016-05-14 15:06:22Z ertl-hiro $
 ----------------------------------------------------------------------
 
 âç®æ¬¡
 
-ï¼ï¼CT11MPcoreã¿ã¼ã²ããä¾å­é¨ã®æ¦è¦
+ï¼ï¼CT11MPCoreã¿ã¼ã²ããä¾å­é¨ã®æ¦è¦
 	1.1 å¯¾å¿ããã¿ã¼ã²ããã·ã¹ãã ã¨ã¿ã¼ã²ããç¥ç§°
 	1.2 ã¿ã¼ã²ããä¾å­é¨ã®æ§æ
@@ -92,8 +92,8 @@
 
 
-ï¼ï¼CT11MPcoreã¿ã¼ã²ããä¾å­é¨ã®æ¦è¦
-
-CT11MPcoreã¿ã¼ã²ããä¾å­é¨ã¯ï¼TOPPERS/ASPã«ã¼ãã«ãï¼ARM11 MPCoreã®ãã¹
-ãããããæ­è¼ããCoreTileï¼CT11MPCoreï¼ãï¼RealView Emulation
+ï¼ï¼CT11MPCoreã¿ã¼ã²ããä¾å­é¨ã®æ¦è¦
+
+CT11MPCoreã¿ã¼ã²ããä¾å­é¨ã¯ï¼TOPPERS/ASP3ã«ã¼ãã«ãï¼ARM11 MPCoreã®ã
+ã¹ãããããæ­è¼ããCoreTileï¼CT11MPCoreï¼ãï¼RealView Emulation
 Baseboardä¸ã«å®è£
 ããã¿ã¼ã²ããã·ã¹ãã ã§åä½ãããç°å¢ãæ§ç¯ããããã®
@@ -107,10 +107,10 @@
 1.1 å¯¾å¿ããã¿ã¼ã²ããã·ã¹ãã ã¨ã¿ã¼ã²ããç¥ç§°
 
-CT11MPcoreã¿ã¼ã²ããä¾å­é¨ã®åä½ç¢ºèªã¯ï¼Qemuãç¨ãã¦è¡ã£ã¦ããï¼åä½ç¢º
+CT11MPCoreã¿ã¼ã²ããä¾å­é¨ã®åä½ç¢ºèªã¯ï¼Qemuãç¨ãã¦è¡ã£ã¦ããï¼åä½ç¢º
 èªãè¡ã£ãQemuã®ãã¼ã¸ã§ã³ã¯æ¬¡ã®éãï¼
 
 	qemu-system-arm		version 2.1.0
 
-Qemuä¸ã§ASPã«ã¼ãã«ãå®è¡ããããã®ã³ãã³ãã¯æ¬¡ã®éãï¼
+Qemuä¸ã§ASP3ã«ã¼ãã«ãå®è¡ããããã®ã³ãã³ãã¯æ¬¡ã®éãï¼
 
 	qemu-system-arm -M realview-eb-mpcore -semihosting -m 128M -smp 1 \
@@ -125,5 +125,5 @@
 1.2 ã¿ã¼ã²ããä¾å­é¨ã®æ§æ
 
-CT11MPcoreã¿ã¼ã²ããä¾å­é¨ã®ä½¿ç¨ããã¿ã¼ã²ããä¾å­é¨ï¼targetãã£ã¬ã¯ã
+CT11MPCoreã¿ã¼ã²ããä¾å­é¨ã®ä½¿ç¨ããã¿ã¼ã²ããä¾å­é¨ï¼targetãã£ã¬ã¯ã
 ãªï¼ããã³ã¿ã¼ã²ããä¾å­é¨ã®å
 ±éé¨ï¼archãã£ã¬ã¯ããªï¼ã®ãã£ã¬ã¯ããªã¯
@@ -131,16 +131,17 @@
 
 	target/
-		ct11mpcore_gcc/		CT11MPcoreã¿ã¼ã²ããä¾å­é¨
+		ct11mpcore_gcc/		CT11MPCoreã¿ã¼ã²ããä¾å­é¨
 
 	arch/
 		arm_gcc/common/		ARMã³ã¢ä¾å­é¨
 		arm_gcc/mpcore/		MPCoreãããä¾å­é¨
+		arm_gcc/doc/		ARMä¾å­é¨ã«é¢ãããã­ã¥ã¡ã³ã
 		gcc/				GCCéçºç°å¢ä¾å­é¨
-		logtrace/			ãã¬ã¼ã¹ã­ã°è¨é²ã®ãµã³ãã«ã³ã¼ã
+		tracelog/			ãã¬ã¼ã¹ã­ã°è¨é²ã®ãµã³ãã«ã³ã¼ã
 
 1.3 ä¾å­ãã¦ããåå¥ããã±ã¼ã¸ã®ãã¼ã¸ã§ã³çªå·
 
-Mac OS Xã¿ã¼ã²ããä¾å­é¨ï¼ãã¼ã¸ã§ã³ 3.B.0ï¼ã®åå¥ããã±ã¼ã¸ãä¾å­ãã¦
-ããåå¥ããã±ã¼ã¸ã¨ï¼åä½ç¢ºèªãè¡ã£ããã¼ã¸ã§ã³ã¯æ¬¡ã®éãï¼
+CT11MPCoreã¿ã¼ã²ããä¾å­é¨ï¼ãã¼ã¸ã§ã³ 3.0.0ï¼ã®åå¥ããã±ã¼ã¸ãä¾å­ã
+ã¦ããåå¥ããã±ã¼ã¸ã¨ï¼åä½ç¢ºèªãè¡ã£ããã¼ã¸ã§ã³ã¯æ¬¡ã®éãï¼
 
 	åå¥ããã±ã¼ã¸ã®åç§°	ãã¼ã¸ã§ã³	åå¥ããã±ã¼ã¸ãã¡ã¤ã«å
@@ -186,8 +187,14 @@
 ã®è¦å®
 
-CT11MPcoreã¿ã¼ã²ããä¾å­é¨ã¯ï¼ARMã³ã¢ä¾å­é¨ã¨MPCoreãããä¾å­é¨ãç¨ãã¦
+CT11MPCoreã¿ã¼ã²ããä¾å­é¨ã¯ï¼ARMã³ã¢ä¾å­é¨ã¨MPCoreãããä¾å­é¨ãç¨ãã¦
 å®è£
-ããã¦ããï¼ããã§ã¯ï¼ARMã³ã¢ä¾å­é¨ããã³MPCoreãããä¾å­é¨ã¨ç°ãªãï¼
-ãªããã¯ï¼ãããã§è¦å®ããã¦ããªãäºé 
+ããã¦ããï¼ARMã³ã¢ä¾å­é¨ããã³MPCoreãããä¾å­é¨ã«ãããã¿ã¼ã²ãã
+å®ç¾©äºé 
+ã®è¦å®ã«ã¤ãã¦ã¯ï¼ãARMä¾å­é¨ ã¦ã¼ã¶ã¼ãºããã¥ã¢ã«ããåç
+§ãã
+ãã¨ï¼
+
+ä»¥ä¸ã§ã¯ï¼ARMã³ã¢ä¾å­é¨ããã³MPCoreãããä¾å­é¨ã¨ç°ãªãï¼ãªããã¯ï¼ãã
+ãã§è¦å®ããã¦ããªãäºé 
 ã«ã¤ãã¦èª¬æããï¼
 
@@ -195,5 +202,5 @@
 åº¦ã¨å²è¾¼ã¿çªå·
 
-CT11MPCoreã®å²è¾¼ã¿ã³ã³ãã­ã¼ã©ï¼Distributed Interrupt COntrollerï¼ã¯ï¼
+CT11MPCoreã®å²è¾¼ã¿ã³ã³ãã­ã¼ã©ï¼Distributed Interrupt Controllerï¼ã¯ï¼
 16ã¬ãã«ã®å²è¾¼ã¿åªå
 åº¦ããµãã¼ããã¦ããï¼ãã®ããï¼å²è¾¼ã¿åªå
@@ -238,9 +245,9 @@
 3.1 ã¿ã¤ããã©ã¤ã
 
-é«åè§£è½ã¿ã¤ãã¯ï¼MPCoreãã³ã¢æ¯ã«æã¤ã¿ã¤ãã¨ã¦ã©ããããã°ãä½¿ç¨ãã¦
-å®ç¾ãã¦ããï¼å
-·ä½çã«ã¯ï¼ã¦ã©ããããã°ãç¾å¨æå»ã®ç®¡çã®ããã«ç¨ãï¼
-ã¿ã¤ããç¸å¯¾æéå²è¾¼ã¿ã®çºçã®ããã«ç¨ãã¦ããï¼ãã®ããï¼ãããã®ã¿ã¤
-ããå¥ã®ç®çã§ä½¿ç¨ãããã¨ã¯ã§ããªãï¼
+é«åè§£è½ã¿ã¤ãã¯ï¼MPCoreãã³ã¢æ¯ã«æã¤ãã©ã¤ãã¼ãã¿ã¤ãã¨ãã©ã¤ãã¼ã
+ã¦ã©ããããã°ãä½¿ç¨ãã¦å®ç¾ãã¦ããï¼å
+·ä½çã«ã¯ï¼ã¦ã©ããããã°ãç¾å¨
+æå»ã®ç®¡çã®ããã«ç¨ãï¼ã¿ã¤ããç¸å¯¾æéå²è¾¼ã¿ã®çºçã®ããã«ç¨ãã¦ããï¼
+ãã®ããï¼ãããã®ã¿ã¤ããå¥ã®ç®çã§ä½¿ç¨ãããã¨ã¯ã§ããªãï¼
 
 ã¾ãï¼ãªã¼ãã©ã³ãã³ãã©æ©è½ããµãã¼ãããå ´åã«ã¯ï¼RealView Emulation
@@ -256,8 +263,9 @@
 ããã¦ãã4ãã£ã³ãã«ã®UARTã®å
 ã®1ã¤ï¼ã©ã®1ã¤ãç¨ãããã¯ï¼ã³
-ã¢æ¯ã«ç°ãªãï¼ãç¨ãã¦ï¼ã·ãªã¢ã«I/Oãã¼ãã1ã¤ã®ã¿ãµãã¼ããã¦ããï¼
-
-ç¨ããUARTãå¤æ´ããå ´åã«ã¯ï¼target_syssvc.hãä¿®æ­£ããå¿
-è¦ãããï¼
+ã¢æ¯ã«ç°ãªãï¼ãç¨ãã¦ï¼SIOãã¼ãã1ã¤ã®ã¿ãµãã¼ããã¦ããï¼
+
+ç¨ããSIOãã¼ããå¤æ´ããå ´åã«ã¯ï¼tSIOPortCT11MPCore.cdlãä¿®æ­£ããå¿
+è¦
+ãããï¼
 
 3.3 ã·ã¹ãã ã­ã°ã®ä½ã¬ãã«åºå
@@ -266,5 +274,5 @@
 ãã®ã¨åãUARTãç¨ãï¼ãã¼ãªã³ã°ã«ããæå­ãåºåããæ¹æ³ã§å®ç¾ãã¦ããï¼
 
-ç¨ããUARTãå¤æ´ããå ´åã«ã¯ï¼target_kernel_impl.hãä¿®æ­£ããå¿
+ç¨ããSIOãã¼ããå¤æ´ããå ´åã«ã¯ï¼target.cdlãä¿®æ­£ããå¿
 è¦ãããï¼
 
@@ -274,8 +282,8 @@
 4.1 ã·ã¹ãã æ§ç¯
 
-CT11MPcoreåãã®æ§ç¯ããæé ã¯ï¼ãTOPPERS/ASPã«ã¼ãã« ã¦ã¼ã¶ã¼ãºããã¥
-ã¢ã«ãã®ãï¼ï¼ã¯ã¤ãã¯ã¹ã¿ã¼ãã¬ã¤ããã®ç« ã«è¨è¿°ããã¦ããéãã§ããï¼
-Qemuã§å®è¡ããå ´åã«ã¯ï¼ã³ã³ãã¤ã«ãªãã·ã§ã³ã«ã-DTOPPERS_USE_QEMUãã
-è¿½å ãããã¨ï¼
+CT11MPCoreç¨ã®ASP3ã«ã¼ãã«ãæ§ç¯ããæé ã¯ï¼ãTOPPERS/ASP3ã«ã¼ãã« ã¦ã¼
+ã¶ã¼ãºããã¥ã¢ã«ãã®ãï¼ï¼ã¯ã¤ãã¯ã¹ã¿ã¼ãã¬ã¤ããã®ç« ã«è¨è¿°ããã¦ãã
+éãã§ããï¼Qemuã§å®è¡ããå ´åã«ã¯ï¼ã³ã³ãã¤ã«ãªãã·ã§ã³ã«
+ã-DTOPPERS_USE_QEMUããè¿½å ãããã¨ï¼
 
 4.2 Qemuã§å®è¡ããå ´åã®ãããã¬ã®ä½¿ç¨æ¹æ³
@@ -311,5 +319,5 @@
 5.1 ãã£ã¬ã¯ããªæ§æã»ãã¡ã¤ã«æ§æ
 
-	target/macosx_xcode/
+	target/ct11mpcore_gcc/
 		E_PACKAGE				ç°¡æããã±ã¼ã¸ã®ãã¡ã¤ã«ãªã¹ã
 		MANIFEST				åå¥ããã±ã¼ã¸ã®ãã¡ã¤ã«ãªã¹ã
@@ -317,24 +325,31 @@
 		ct11mpcore.h			ã¿ã¼ã²ããã®ãã¼ãã¦ã§ã¢è³æºã®å®ç¾©
 		ct11mpcore.ld			æ¨æºã®ãªã³ã«ã¹ã¯ãªãã
-		target.tf				kernel.tfã®ã¿ã¼ã²ããä¾å­é¨
+		tPutLogCT11MPCore.c		ã·ã¹ãã ã­ã°ã®ä½ã¬ãã«åºå
+		tPutLogCT11MPCore.cdl	ã·ã¹ãã ã­ã°ã®ä½ã¬ãã«åºåã®ã³ã³ãã¼ãã³ãè¨è¿°
+		tSIOPortCT11MPCore.cdl	ã·ãªã¢ã«ã¤ã³ã¿ãã§ã¼ã¹ãã©ã¤ãã®ã¿ã¼ã²ãã
+								ä¾å­é¨ï¼CT11MPCoreç¨ï¼ã®ã³ã³ãã¼ãã³ãè¨è¿°
+		tSIOPortCT11MPCoreMain_inline.h		ã·ãªã¢ã«ã¤ã³ã¿ãã§ã¼ã¹ãã©ã¤ã
+								ã®ã¿ã¼ã²ããä¾å­é¨ï¼CT11MPCoreç¨ï¼
+		target.cdl				ã³ã³ãã¼ãã³ãè¨è¿°ãã¡ã¤ã«ã®ã¿ã¼ã²ããä¾å­é¨
 		target_cfg1_out.h		cfg1_out.cã®ãªã³ã¯ã«å¿
 è¦ãªã¹ã¿ãã®å®ç¾©
-		target_check.tf			kernel_check.tfã®ã¿ã¼ã²ããä¾å­é¨
+		target_kernel.cfg		ã«ã¼ãã«å®è£
+ã®ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
 		target_kernel.h			kernel.hã®ã¿ã¼ã²ããä¾å­é¨
+		target_kernel.trb		kernel.trbã®ã¿ã¼ã²ããä¾å­é¨
+		target_check.trb		kernel_check.trbã®ã¿ã¼ã²ããä¾å­é¨
 		target_kernel_impl.c	ã«ã¼ãã«å®è£
-ã®ã¿ã¼ã²ããä¾å­é¨é¢é£ã®å®ç¾©
+ã®ã¿ã¼ã²ããä¾å­é¨
 		target_kernel_impl.h	ã«ã¼ãã«å®è£
-ã®ã¿ã¼ã²ããä¾å­é¨
+ã®ã¿ã¼ã²ããä¾å­é¨ã«é¢ããå®ç¾©
 		target_rename.def		ã¿ã¼ã²ããä¾å­é¨ã®å
 é¨è­å¥åã®ãªãã¼ã å®ç¾©
 		target_rename.h			ã¿ã¼ã²ããä¾å­é¨ã®å
 é¨è­å¥åã®ãªãã¼ã 
-		target_serial.c			serial.cã®ã¿ã¼ã²ããä¾å­é¨
-		target_serial.cfg		serial.cfgã®ã¿ã¼ã²ããä¾å­é¨
-		target_serial.h			serial.hã®ã¿ã¼ã²ããä¾å­é¨
 		target_sil.h			sil.hã®ã¿ã¼ã²ããä¾å­é¨
 		target_stddef.h			t_stddef.hã®ã¿ã¼ã²ããä¾å­é¨
 		target_syssvc.h			ã·ã¹ãã ãµã¼ãã¹ã®ã¿ã¼ã²ããä¾å­å®ç¾©
 		target_test.h			ãã¹ããã­ã°ã©ã ã®ã¿ã¼ã²ããä¾å­å®ç¾©
+		target_timer.c			ã¿ã¤ããã©ã¤ã
 		target_timer.cfg		ã¿ã¤ããã©ã¤ãã®ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
 		target_timer.h			ã¿ã¤ããã©ã¤ããä½¿ç¨ããããã®å®ç¾©
@@ -343,9 +358,10 @@
 		target_user.txt			ã¿ã¼ã²ããä¾å­é¨ã®ã¦ã¼ã¶ã¼ãºããã¥ã¢ã«
 
-6.2 ãã¼ã¸ã§ã³å±¥æ­´
+5.2 ãã¼ã¸ã§ã³å±¥æ­´
 
 	2015å¹´8æ5æ¥	Release	3.B.0		æåã®ãªãªã¼ã¹
-	2015å¹´ æ æ¥	Release	3.0.0		æåã®ä¸è¬å
+	2016å¹´2æ8æ¥	Release	3.0.0		æåã®ä¸è¬å
 ¬é
+	2016å¹´5æ15æ¥	Release	3.1.0
 
 ä»¥ä¸
